var p;
( SuperPower = function( _superPowers, _cooldown, _denyLeft, _denyRight, _denyBottom )
{
    this.superPowers;
    this.cooldown;
    this.denyLeft;
    this.denyRight;
    this.denyBottom;

    this.init = function( $superPowers, $cooldown, $denyLeft, $denyRight, $denyBottom )
    {
        this.superPowers = $superPowers;
        this.cooldown = $cooldown;
        this.denyLeft = $denyLeft;
        this.denyRight = $denyRight;
        this.denyBottom = $denyBottom;
    }
    this.init( _superPowers, _cooldown, _denyLeft, _denyRight, _denyBottom )
} ).prototype = p = new Object();
